Skip to main content
POST
/
action
/
trends_research_generate_trends_action
[TR1] Generate Trends Digest
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/trends_research_generate_trends_action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "industry": "<string>",
  "output_variable_name": "trends_digest",
  "geography": "<string>",
  "seller_product": "<string>",
  "seller_icp": "<string>",
  "seller_website": "<string>",
  "seller_competitors": "<string>"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
industry
string
required

The industry or topic to research trends for (e.g. 'AI and Machine Learning', 'Fintech', 'E-commerce').

output_variable_name
string
default:trends_digest
required
Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
geography
string

Optional geographic focus (e.g. 'US', 'Europe', 'APAC').

seller_product
string

Optional: enables personalized 'What This Means for You' section.

seller_icp
string

Optional: enables ICP-trend alignment in personalization.

seller_website
string

Optional: used for personalized insights.

seller_competitors
string

Optional: enables competitive framing in personalization.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action